%  signal extraction weights
clf;
cn2 = 50;
vy = [zeros(cn2,1); 1; zeros(cn2,1)];
cn = length(vy);
% ------------------------------------------------------------------------
q = 0.1;  
theta = 0.5 * log(q); 
%-------------------------------------------------------------------------
[mZ, mGG, mT, mHH, va, mP] = SetStateSpaceModel(theta);

[vSmoothedLevel, ~] = KFStateSmoother(vy, mZ, mGG, mT, mHH, va, mP);
[vRealTimeLevel, ~] = KFRealTime(vy, mZ, mGG, mT, mHH, va, mP);

subplot(2,1,1), bar(-cn2:cn2, vSmoothedLevel), title('Two sided EWMA');
subplot(2,1,2), bar(-cn2:cn2, vRealTimeLevel), title('One sided EWMA');

 
 
 
