function [mZ, mGG, mT, mHH, va, mP] = SetStateSpaceModel(vP)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LOCAL LEVEL MODEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
cm = 1;     % number of state elements
% Measurement equation
% y_{t} = Z_t \alpha_{t} +  G_t \epsilon_t
mZ = 1;     mGG = 1; % G_t * G_t'
% Transition equation
% \alpha_{t+1} = T_t \alpha_{t} + H_t \epsilon_t
mT = 1;     mHH = exp(2.0 * vP(1)); % H_t * H_t'  
%%%%%%%%%%%%%%% Initial conditions               %%%%%%%%%%%%%%%%%%%%%%%%%
va = 0;     
kappa = 10^3;
mP = kappa;    % "big" value       
end


