function dLogLikConc = SsfLogLikConc(vP, vy)
%----------------------------------------------------------------------
[mZ, mGG, mT, mHH, va, mP] = SetStateSpaceModel(vP);
dLogF = 0; dSumSquares = 0;     
cn = length(vy);   
for i = 1:cn
	dv = vy(i) - mZ * va;      		dF = mZ * mP * mZ' + mGG;
                                    vK = mT * mP * mZ' / dF;
	va = mT * va + vK * dv; 		mP = mT * mP * mT' + mHH - vK * dF * vK'  ;
    if (i > 2)
        dLogF = dLogF + log(dF);   
        dSumSquares = dSumSquares + dv^2 /dF;
    end
end
dSigma2 = dSumSquares/(cn-1);
dLogLikConc = 0.5*((cn - 1)* (log(2 * pi * dSigma2)+1) + dLogF ); % concentrated LF (change of sign)
end
 