function dLogLikConc = SsfLogLikConc(vP, vy, cp, cq)
%----------------------------------------------------------------------
[mZ, mGG, mT, mHH, mHG, va, mP] = SetStateSpaceModel(vP, cp, cq);
dLogF = 0; dSumSquares = 0;     
cn = length(vy);   
for i = 1:cn
	dv = vy(i) - mZ * va;      		dF = mZ * mP * mZ' + mGG;
                                    vK = (mT * mP * mZ' + mHG) / dF;
	va = mT * va + vK * dv; 		mP = mT * mP * mT' + mHH - vK * dF * vK'  ;
    dLogF = dLogF + log(dF);   
    dSumSquares = dSumSquares + dv^2 /dF;
end
dSigma2 = dSumSquares/cn;
dLogLikConc = 0.5*( cn * (log(dSigma2)+1) + dLogF ); % concentrated LF (change of sign)
end
 