function [mArt, mPrt] = KFRealTime(vy, mZ, mGG, mT, mHH, va, mP)
%----------------------------------------------------------------------
cn = length(vy); 
cm = length(va);
%----------------------------------------------------------------------
mArt = repmat(NaN, [cm cn]); mPrt = repmat(NaN, [cm cn]);
for i = 1:cn
	dv = vy(i) - mZ * va;       dF= mZ * mP * mZ' + mGG;
                            	vK = mT * mP * mZ' / dF;
    
    mArt(:,i) = va + mP * mZ' * inv(dF) * dv ;
	mPrt(:,i) = diag( mP - mP * mZ' * inv(dF) * mZ * mP );
	va = mT * va + vK * dv; 	mP = mT * mP * mT' + mHH - vK * dF * vK'  ;
end
end